/*
    WikiArchive - Category and Archive extensions for JSPWiki
    
    Copyright (C) 2007 Jens Gulden (jgulden@cs.tu-berlin.de)
    JSPWiki copyright (c) Janne Jalkanen (Janne.Jalkanen@iki.fi)
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package de.tuberlin.cs.flp.jspwiki.tags;

import de.tuberlin.cs.flp.jspwiki.CategoryManager;
import de.tuberlin.cs.flp.jspwiki.util.*;
import javax.servlet.jsp.tagext.TagData;
import javax.servlet.jsp.tagext.TagExtraInfo;
import javax.servlet.jsp.tagext.VariableInfo;

/**
 * Provides the TEI data for CategoryIteratorTag.
 * 
 * @poseidon-object-id [Im7d594a32m112753776a4mm7e47]
 * @author Jens Gulden
 */
public class CategoryIteratorInfo extends TagExtraInfo {

/**
 * 
 * 
 * @poseidon-object-id [Im7d594a32m112753776a4mm6f6c]
 * @return 
 * @param data 
 */
    public VariableInfo[] getVariableInfo(TagData data) {        
        VariableInfo var[] = { new VariableInfo( data.getAttributeString("id"), "java.lang.String", true, VariableInfo.NESTED ) };
        return var;
    } 
 }
