/*
    WikiArchive - Category and Archive extensions for JSPWiki
    
    Copyright (C) 2007 Jens Gulden (jgulden@cs.tu-berlin.de)
    JSPWiki copyright (c) Janne Jalkanen (Janne.Jalkanen@iki.fi)
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package de.tuberlin.cs.flp.jspwiki.plugin;

import com.ecyrd.jspwiki.WikiContext;
import com.ecyrd.jspwiki.plugin.PluginException;
import com.ecyrd.jspwiki.plugin.WikiPlugin;
import de.tuberlin.cs.flp.jspwiki.CategoryManager;
import de.tuberlin.cs.flp.jspwiki.util.*;
import java.util.Map;

/**
 * <strong>[{_ ... comment text ... }]</strong>
 * <p>The most simple plugin possible - does nothing at all. Can be used for inserting invisible comments into a page.</p>
 * 
 * @poseidon-object-id [Im7d594a32m112753776a4mm7e31]
 * @author Jens Gulden
 */
public class _ implements WikiPlugin {

/**
 * Executes the plugin.
 * 
 * @poseidon-object-id [Im7d594a32m112753776a4mm7301]
 * @return HTML to be inserted into page
 * @param context The WikiContext.
 * @param params Parameters specified at plugin inclusion.
 * @throws PluginException if an error occurs
 */
    public String execute(WikiContext context, Map params) {        
        return "";
    } 
 }
